//************************************************************************
// FILE NAME: globals.cs
// DESCRIPTION: A Panther XL autoexec.cs file for Tribes
// BY: [A3D]Malleus of Clan Assassin 3D
// REAL NAME: Charles Laine
// EMAIL: malleus@clana3d.com
// LAST MODIFIED: March 3, 1999
//
// VERSION: 1.7a
//************************************************************************

//************************************************************************
//   Tables.  
//************************************************************************

//DO NOT CHANGE THESE BUTTON MAPPINGS.
$PXL_trigger				= button0;
$PXL_lower_thumb			= button1;
$PXL_upper_thumb			= button2;
$PXL_pinky					= button3;
$PXL_left_hat_up			= upov0;
$PXL_left_hat_right			= rpov0;
$PXL_left_hat_down			= dpov0;
$PXL_left_hat_left			= lpov0;
$PXL_right_hat_up			= button4;
$PXL_right_hat_right		= button5;
$PXL_right_hat_down			= button6;
$PXL_right_hat_left			= button7;
$PXL_trackball_lower_left	= button8;
$PXL_trackball_lower_right	= button9;
$PXL_trackball_upper_left	= button10;
$PXL_trackball_upper_middle = button11;
$PXL_trackball_upper_right	= button12;

$AmmoName[$Ammo[PlasmaGun]]			= "plasma balls";
$AmmoName[$Ammo[DiscLauncher]]		= "discs";
$AmmoName[$Ammo[GrenadeLauncher]]	= "grenades";
$AmmoName[$Ammo[Chaingun]]			= "bullets";
$AmmoName[$Ammo[Mortar]]			= "mortar shells";
$AmmoName[$Ammo[""]]			= "";


$Ammo[Blaster]						= "";
$Ammo[Chaingun]						= "Bullet";
$Ammo[PlasmaGun]					= "Plasma Bolt";
$Ammo[DiscLauncher]					= "Disc";
$Ammo[TargetingLaser]				= "";
$Ammo[EnergyRifle]					= "";
VersionCheck();

$WeaponRealName[Blaster]			= "Blaster";
$WeaponRealName[PlasmaGun]			= "Plasma Gun";
$WeaponRealName[Chaingun]			= "Chaingun";
$WeaponRealName[DiscLauncher]		= "Disc Launcher";
$WeaponRealName[GrenadeLauncher]	= "Grenade Launcher";
$WeaponRealName[Mortar]				= "Mortar";
$WeaponRealName[LaserRifle]			= "Laser Rifle";
$WeaponRealName[EnergyRifle]		= "ELF gun";
$WeaponRealName[TargetingLaser]		= "Targeting Laser";

$WeaponSlotName[Blaster]			= "Blaster";
$WeaponSlotName[Chaingun]			= "Chaingun";
$WeaponSlotName[PlasmaGun]			= "PlasmaGun";
$WeaponSlotName[GrenadeLauncher]	= "GrenadeLauncher";
$WeaponSlotName[Mortar]				= "Mortar";
$WeaponSlotName[DiscLauncher]		= "DiscLauncher";
$WeaponSlotName[TargetingLaser]		= "TargetingLaser";
$WeaponSlotName[EnergyRifle]		= "EnergyRifle";

$WeaponSlot[11] = "Blaster";
$WeaponSlot[13] = "Chaingun";
$WeaponSlot[15] = "PlasmaGun";
$WeaponSlot[17] = "GrenadeLauncher";
$WeaponSlot[19] = "Mortar";
$WeaponSlot[21] = "DiscLauncher";
$WeaponSlot[22] = "EnergyRifle";
$WeaponSlot[23] = "TargetingLaser";
 

$BackpackSlot[27] = "InventoryStation";
$BackpackSlot[28] = "AmmoStation";
$BackpackSlot[29] = "EnergyPack";
$BackpackSlot[30] = "RepairPack";
$BackpackSlot[31] = "ShieldPack";
$BackpackSlot[32] = "SensorJammerPack";
$BackpackSlot[33] = "MotionSensor";
$BackpackSlot[34] = "AmmoPack";
$BackpackSlot[35] = "PulseSensor";
$BackpackSlot[36] = "SensorJammer";
$BackpackSlot[37] = "Camera";
$BackpackSlot[38] = "Turret";
$BackpackSlot[27] = "InventoryStation";

$BackpackName[InventoryStation] = "inventory station";
$BackpackName[AmmoStation]      = "ammo station";
$BackpackName[EnergyPack]       = "energy pack";
$BackpackName[RepairPack]       = "repair pack";
$BackpackName[ShieldPack]       = "shield pack";
$BackpackName[SensorJammerPack] = "sensor jammer Pack";
$BackpackName[MotionSensor]     = "motion sensor";
$BackpackName[AmmoPack]         = "ammo pack";
$BackpackName[PulseSensor]      = "pulse sensor";
$BackpackName[SensorJammer]     = "sensor jammer";
$BackpackName[Camera]           = "camera";
$BackpackName[Turret]           = "turret";

$anim[overhere]	= 0;
$anim[move]		= 1;
$anim[retreat]	= 2;
$anim[stop]		= 3;
$anim[salute]	= 4;
$anim[celeb1]	= 5;
$anim[celeb2]	= 6;
$anim[celeb3]	= 7;
$anim[taunt1]	= 8;
$anim[taunt2]	= 9;
$anim[kneel]	= 10;	
$anim[stand]	= 11;
$anim[wave]		= 12;

//my globals
//DO NOT CHANGE THESE
$buttonState = 0;
$haveLaser = 0;
$cheer = 0;
$activateHats = 0;
$deactivateHats = 1;

$everyone = 0;
$team = 1;
$whisper = 2;
$animate = 3;
$crouching = 0;
$voiceActivated = 0;
$boughtAPC = 1;
$rebind = 1;

//$Sensitivity::Scout = 0.003999;
$Sensitivity::Scout = 5;
$Sensitivity::APC = 0.022;
$Sensitivity::Normal = 0.001272;

function versionCheck()
{
	if($ServerVersion == 1.2) 
	{ 
		$Ammo[GrenadeLauncher] = "Grenade Ammo"; 
		$Ammo[Mortar] = "Mortar Ammo"; 
	} 
	else
	{ 
		$Ammo[GrenadeLauncher] = "GrenadeAmmo";
		$Ammo[Mortar] = "MortarAmmo"; 
	} 
}
